Name:		bib2html
Version:	6.7
Release:	%mkrel 12
Summary:	BibTeX to HTML translator
URL:		https://www.arakhne.org/bib2ml/
Source:		https://download.tuxfamily.org/arakhne/pool/universe/b/bib2ml/bib2ml_%{version}-0arakhne0.tar.gz
Patch0:		bib2ml_6.7-encoding.patch
License:	GPL
Group:		Publishing
BuildArch:	noarch

%description
bib2html is a script which permits to generate a set of HTML or XML pages from a
BibTeX database.

%prep
%setup -q -n bib2ml-%{version}
%patch -P 0 -p0

find . -type d | xargs chmod 755
find . -type f | xargs chmod 644

%build
# Build the manual pages

pod2man --section=1 --release="%{version}" --center=Bib2HTML --name=Bib2HTML man/bib2html_en.pod man/bib2html.1
pod2man --section=1 --release="%{version}" --center=Bib2HTML --name=Bib2HTML man/bib2html_fr.pod man/bib2html.fr.1
pod2man --section=1 --release="%{version}" --center=Bib2XML --name=Bib2XML man/bib2xml_en.pod man/bib2xml.1
pod2man --section=1 --release="%{version}" --center=Bib2XML --name=Bib2XML man/bib2xml_fr.pod man/bib2xml.fr.1
pod2man --section=1 --release="%{version}" --center=Bib2XML --name=Bib2XML man/bib2sql_en.pod man/bib2sql.1
pod2man --section=1 --release="%{version}" --center=Bib2XML --name=Bib2XML man/bib2sql_fr.pod man/bib2sql.fr.1

# Give the correct path to the pod files
perl -p -i -e 's/"\$basename"/"%name-%version"/' src/Bib2HTML/Main.pm

%install

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 src/bib2html.pl %{buildroot}%{_bindir}/bib2html
install -m 755 src/bib2xml.pl %{buildroot}%{_bindir}/bib2xml
install -m 755 src/bib2sql.pl %{buildroot}%{_bindir}/bib2sql

install -d -m 755 %{buildroot}%{perl_vendorlib}
cp -pr ./src/Bib2HTML %{buildroot}%{perl_vendorlib}

install -d -m 755 %{buildroot}%{_mandir}/man1
install -d -m 755 %{buildroot}%{_mandir}/fr/man1
install -m 644 man/bib2html.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -m 644 man/bib2xml.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -m 644 man/bib2html.fr.1 %{buildroot}%{_mandir}/fr/man1/%{name}.1
install -m 644 man/bib2xml.fr.1 %{buildroot}%{_mandir}/fr/man1/%{name}.1

%files
%doc Changelog COPYING AUTHORS README doc/* man/*.pod
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%lang(fr) %{_mandir}/fr/man1/*




%changelog
* Sat Dec 21 2024 pterjan <pterjan> 6.7-12.mga10
+ Revision: 2127133
- Rebuild for patchN deprecation

* Sat Mar 19 2022 umeabot <umeabot> 6.7-11.mga9
+ Revision: 1801141
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 6.7-10.mga8
+ Revision: 1490416
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 6.7-9.mga7
+ Revision: 1262074
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 6.7-8.mga7
+ Revision: 1260103
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 6.7-7.mga6
+ Revision: 1022101
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 6.7-6.mga6
+ Revision: 942858
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.7-5.mga5
+ Revision: 746705
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.7-4.mga5
+ Revision: 678146
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 6.7-3.mga4
+ Revision: 530896
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 fwang <fwang> 6.7-2.mga4
+ Revision: 460964
- more encoding fix
- fix encoding

* Fri Jan 11 2013 umeabot <umeabot> 6.7-2.mga3
+ Revision: 346898
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 09 2012 malo <malo> 6.7-1.mga3
+ Revision: 258979
- new version 6.7

* Thu Mar 08 2012 malo <malo> 6.5-3.mga2
+ Revision: 221443
- spec clean-up

* Thu Mar 31 2011 spuhler <spuhler> 6.5-2.mga1
+ Revision: 79149
- imported package bib2html

